/**
 * 中下划线转大驼峰
 * @param input 中划线或下划线字符串
 * @returns
 */
export declare function classify(v: string): string;
/**
 * 分割数字
 * @param n 数字
 * @param segmentLen 每一段长度
 * @param separator 分割符号
 */
export declare function numbericSeparate(n: number, segmentLen: number, separator: string): string;
/**
 * 字符串填充
 * @param v 字符串或数字
 * @param maxLen 最大长度
 * @param fillChar 填充字符
 * @param pos 填充位置，start' | 'end'
 * @returns 字符串
 */
export declare function pad(v: string | number, maxLen: number, fillChar?: string, pos?: 'start' | 'end'): any;
/**
 * 存储大小格式化
 * @param bytes 字节数
 * @returns
 */
export declare function normalizeStorageSize(bytes: number): string;
